// Author: George W. Taylor
// http://www.tropicalcoder.com/
// Date: 15 Oct 2012
// License: Creative Commons - Non-Commercial Use

#ifndef DEBUG_H
 #define DEBUG_H
#include <windows.h>
#define _CRT_SECURE_NO_WARNINGS

// Comment this out if you don't want to generate a debug file...
#define DEBUG_VERS
#define USE_TIMER
#ifdef DEBUG_VERS

extern void OutputDateString(void);
extern void OutPutTimeString(void);

extern void InitDebugFile(void);
extern void CloseDebugFile(void);
extern void DebugMessage(char *msg);
extern void DebugValue(char *msg, int value);
extern void DebugValueNoCR(char *msg, int value);
extern void DebugParams(char *msgA, char *msgB, int a, int b);
extern void DebugFloatValue(char *msg, double value, int numDecimals);

#ifdef USE_TIMER
extern void TimerInit(void);
extern void TimerStart(void);
extern void TimerEnd(void);
	#endif
	#endif
#endif