// Author: George W. Taylor
// http://www.tropicalcoder.com/
// Date: 15 Oct 2012
// License: Creative Commons - Non-Commercial Use

#ifndef PORT_MONITOR
	#define PORT_MONITOR

#include <Windows.h>

class PortMonitor
{
public:
 PortMonitor();
 ~PortMonitor(){CloseHandle(o.hEvent); CloseHandle(hCom);};
 BOOL InitPort(HWND hwnd, char *PortName, DWORD dwComEvent);
 int ReadPort(void);
 bool LineSignaled(void);
 void CancelComWait(void);

private:
 HANDLE hCom;
 OVERLAPPED o;
 DWORD dwComEvent;
 bool bPostedErrorMsg;
};

#endif