// Author: George W. Taylor
// http://www.tropicalcoder.com/
// Date: 15 Oct 2012
// License: Creative Commons - Non-Commercial Use

#ifndef CPARAMS_H
#define CPARAMS_H
#include <fstream>
#include <windows.h>

using namespace std;	



class CParams
{

public:

static char sPort[8];
static char sComEventMonitored[8];
static double dAttenuation;
static double dFrequency;
static double dRiseTime;
static double dFallTime;
static int iASIODevNum;
static int iDebounceDelay;

// ctor
 CParams()
 {
   if(!LoadInParameters("config.ini"))
   {
       MessageBox(NULL, "Cannot find configuration file - using default values...", "Configuration initializarion", 0);
   }

 }

  bool LoadInParameters(char* szFileName);
};


#endif